Change font dependency to recommendends

Bug #1685918 reported by Pander on 2017-04-24
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
kodi (Ubuntu)
Medium
Rolf Leggewie
Xenial
Undecided
Unassigned

Bug Description

In kodi-data is a hard dependency for fonts-noto-mono and for fonts-noto-hinted. Please, change both fromo Depends to Recommends.

Changing this allow for deinstallation of these two font packages, without breaking package dependencies in case these fonts are provided in another way via TeX Live installation. This mainly concerns Ubuntu users that use Tex Live, which are a lot, especially since Tex Live packages are still not up to date in Debian and Ubuntu.

Changing to Recommends allow users to solve font conflicts (in this case the availability of the same font twice) easily and this change in dependency has been done for several other packages for this reason in the last few years.

See also:
* https://bugs.launchpad.net/ubuntu/+source/birdfont/+bug/1593711
* https://bugs.launchpad.net/ubuntu/+source/libpdf-api2-perl/+bug/714588
* https://bugs.launchpad.net/ubuntu/+source/matplotlib/+bug/1593678

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kodi (Ubuntu):
status: New → Confirmed
Pander (pander) wrote :

See also bug report at Kodi https://trac.kodi.tv/ticket/17454

Pander (pander) wrote :

Kodi confirms that this is a dependency which is not required or added by them but added by the Debian packager. Hence, this is an action item for Ubuntu and Debian.

Rolf Leggewie (r0lf) on 2018-04-15
summary: - Change font dependency to recommendency
+ Change font dependency to recommendends
Changed in kodi (Ubuntu):
assignee: nobody → Rolf Leggewie (r0lf)
importance: Undecided → Medium
status: Confirmed → In Progress
Rolf Leggewie (r0lf) wrote :

I agree that I cannot see a reason that a font should be a hard dependency

Changed in kodi (Ubuntu):
assignee: Rolf Leggewie (r0lf) → nobody
milestone: none → ubuntu-18.04
Rolf Leggewie (r0lf) wrote :

same change for xenial

Simon Quigley (tsimonq2) wrote :

I'm uploading to Bionic for the sake of getting this in the LTS release, but please forward it to Debian as well.

I'd like an opinion from the SRU Team (and of course the usual SRU bug description modifications) before sponsoring to Xenial, so I'll unsubscribe the Sponsors team and subscribe the SRU team.

Thanks.

Changed in kodi (Ubuntu):
status: In Progress → Fix Committed
assignee: nobody → Rolf Leggewie (r0lf)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kodi - 2:17.6+dfsg1-1ubuntu1

---------------
kodi (2:17.6+dfsg1-1ubuntu1) bionic; urgency=medium

  * demote hard font dependencies from Depends to Recommends
    LP: #1685918

 -- Rolf Leggewie <email address hidden> Sun, 15 Apr 2018 10:24:45 +0800

Changed in kodi (Ubuntu):
status: Fix Committed → Fix Released
Pander (pander) wrote :

Thanks Rolf and Simon. There are a few other packages with hard dependencies on fonts. When I come across those again, I will propose demoting those too.

Pander (pander) on 2018-05-02
tags: added: bioinc
tags: removed: bioinc
Pander (pander) on 2018-05-02
Changed in kodi (Ubuntu Xenial):
status: New → Invalid
Rolf Leggewie (r0lf) on 2018-05-10
Changed in kodi (Ubuntu Xenial):
status: Invalid → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.